## net.i2p.i2ptunnel.socks
Class SOCKSServerFactory

    java.lang.Object
      net.i2p.i2ptunnel.socks.SOCKSServerFactory

    public class SOCKSServerFactory

extends java.lang.Object

Factory class for creating SOCKS forwarders through I2P

Constructor Summary
`SOCKSServerFactory()`

Method Summary
`static SOCKSServer` `createSOCKSServer(java.net.Socket s)` Create a new SOCKS server, using the provided socket (that must be connected to a client) to select the proper SOCKS protocol version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOCKSServerFactory

    public SOCKSServerFactory()

Method Detail

### createSOCKSServer

    public static SOCKSServer createSOCKSServer(java.net.Socket s)
                                         throws SOCKSException

  Create a new SOCKS server, using the provided socket (that must be connected to a client) to select the proper SOCKS protocol version. This method wil strip the SOCKS VER field from the provided sockets's input stream.

  Parameters:
    `s` - a Socket used to choose the SOCKS server type
  Throws:
    `SOCKSException`